0

I'm using Apache2 in combination with mod_wl_20.so to loadbalance to 2 weblogic instances. Apache is listening on 7070.

This plugin is partialy removing the encoding of my URI of some searches which have spaces in them. This is causing an issue on that webserver.

You can see the problem in this piece of logging:

================New Request: [GET /splunk-uat/en-GB/manager/launcher/saved/searches/Errors%20in%20the%20last%2024%20hours?action=edit&f_pwnr=-&ns=search&f_search=&uri=%2FservicesNS%2Fnobody%2Fsearch%2Fsaved%2Fsearches%2FErrors%2520in%2520the%2520last%252024%2520hours&f_ns=search HTTP/1.1] =================
Wed Mar 19 17:45:55 2014 Getting queryString from the request: [action=edit&f_pwnr=-&ns=search&f_search=&uri=%2FservicesNS%2Fnobody%2Fsearch%2Fsaved%2Fsearches%2FErrors%2520in%2520the%2520last%252024%2520hours&f_ns=search]
Wed Mar 19 17:45:55 2014 Using Uri /splunk-uat/en-GB/manager/launcher/saved/searches/Errors in the last 24 hours
Wed Mar 19 17:45:55 2014 After trimming path: '/splunk-uat/en-GB/manager/launcher/saved/searches/Errors in the last 24 hours'
Wed Mar 19 17:45:55 2014 The final request string is '/splunk-uat/en-GB/manager/launcher/saved/searches/Errors in the last 24 hours?action=edit&f_pwnr=-&ns=search&f_search=&uri=%2FservicesNS%2Fnobody%2Fsearch%2Fsaved%2Fsearches%2FErrors%2520in%2520the%2520last%252024%2520hours&f_ns=search'

on the second line "Using Uri" it already removed the %20's from "Errors in the last 24 hours" which is the name of the saved search.

Is this a known issue, or can I prevent this somehow by some rewrite-rule in apache itself?

Any help is appreciated.

edit

Config of the plugin :

<Location / >
   SetHandler weblogic-handler
   WebLogicCluster ap4185:9001,ap4185:9002 
   ConnectTimeoutSecs 2
   ConnectRetrySecs 2
   KeepAliveEnabled ON
   KeepAliveSecs 15
   Debug ALL
   FileCaching ON
   WLCookieName J2SESSIONID
   WLLogFile "C:/log/wl_plugin.log"
</Location>
  • Please add the relevant part of your apache config to the question. – Jenny D Mar 20 '14 at 10:54
  • Ok I have added the config for the plugin, but not sure if this can help. – gotjee Mar 20 '14 at 11:36
0

I tried upgrading to Apache 2.2 and mod_wl_22.so, but the problem remained. I have now upgraded again to Apache 2.4 and mod_wl_24.so and the problem is resolved! So it seems to be a bug in mod_wl plugin until 2.4.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.